## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check

%global crate btrd

Name:           rust-%{crate}
Version:        0.5.0
Release:        %autorelease
Summary:        Btrfs debugger

# Upstream license specification: GPL-2.0
License:        GPLv2
URL:            https://crates.io/crates/btrd
Source:         %{crates_source}
# Initial patched metadata
# * Update simplelog to 0.11, https://github.com/danobi/btrd/pull/15
Patch0:         btrd-fix-metadata.diff
# Backport of PR#13: Bump nix to 0.22
Patch1:         btrd-bump-nix.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
btrd is a REPL debugger that helps inspect mounted btrfs filesystems. btrd is
particularly useful in exploring on-disk structures and has full knowledge of
all on-disk types.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc scripts README.md
%{_bindir}/btrd

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE
%doc docs README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Feb 20 2022 Igor Raits <igor.raits@gmail.com> 0.5.0-4
- Update simplelog to 0.11

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 0.5.0-3
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Oct 27 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.5.0-1
- Initial import; Fixes: RHBZ#1980426
